package weaver.monitor.rule.custom.message;

package .tmp;

import com.alibaba.fastjson.JSONObject;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.security.MessageDigest;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Properties;

public class SendMessage {
  public static final String DEF_CHATSET = "UTF-8";
  
  public static final int DEF_CONN_TIMEOUT = 30000;
  
  public static final int DEF_READ_TIMEOUT = 30000;
  
  public static final String USERAGENT = "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/29.0.1547.66 Safari/537.36";
  
  public static String URL = "http://47.99.227.82:8081";
  
  public static String USERID = "352188";
  
  public static String APIKEY = "f77bb9110dcc431eb99ebc73674db9c4";
  
  public String send(String ip, String message, String messageType) {
    System.out.println("开始............");
    System.out.println("ip............" + ip);
    System.out.println("message............" + message);
    System.out.println("messageType............" + messageType);
    InputStream in = null;
    String number = "";
    try {
      in = new BufferedInputStream(new FileInputStream("/home/weaver/monitor3/weaverjnprop/yankuang_sms.properties"));
      Properties p = new Properties();
      p.load(in);
      number = p.getProperty("number");
    } catch (Exception var10) {
      var10.printStackTrace();
    } 
    URL = "http://120.27.130.66:8081";
    USERID = "616591";
    APIKEY = "4e24c974240f448b93c48f7d3f7279e2";
    String msg = "【山东能源集团】";
    msg = msg + ip + message;
    System.out.println("msg............" + msg);
    System.out.println("number............" + number);
    String string = smsSend(number, msg, "");
    System.out.println(string);
    if (!string.equals("")) {
      JSONObject jsonObject = JSONObject.parseObject(string);
      if (jsonObject != null) {
        String code = jsonObject.getString("code");
        return "" + code.equals("0");
      } 
    } 
    return "succeed";
  }
  
  public static String smsSend(String phones, String content, String extnum) {
    String url = URL + "/api/sms/send";
    String ts = String.valueOf(System.currentTimeMillis());
    String md5 = MD5(USERID + ts + APIKEY);
    Map<String, String> params = new HashMap<>();
    params.put("userid", USERID);
    params.put("ts", ts);
    params.put("sign", md5.toLowerCase());
    params.put("mobile", phones);
    params.put("msgcontent", content);
    params.put("extnum", extnum);
    try {
      String result = net(url, params, "POST");
      System.out.println("响应结果：" + result);
      return result;
    } catch (Exception var8) {
      var8.printStackTrace();
      return "";
    } 
  }
  
  public static void balance() {
    String url = URL + "/api/sms/balance";
    String ts = String.valueOf(System.currentTimeMillis());
    String md5 = MD5(USERID + ts + APIKEY);
    Map<String, String> params = new HashMap<>();
    params.put("userid", USERID);
    params.put("ts", ts);
    params.put("sign", md5.toLowerCase());
    try {
      String result = net(url, params, "POST");
      System.out.println(result);
    } catch (Exception var5) {
      var5.printStackTrace();
    } 
  }
  
  public static void query() {
    String url = URL + "/api/v2/sms/query";
    String ts = String.valueOf(System.currentTimeMillis());
    String md5 = MD5(USERID + ts + APIKEY);
    Map<String, String> params = new HashMap<>();
    params.put("userid", USERID);
    params.put("ts", ts);
    params.put("sign", md5.toLowerCase());
    try {
      String result = net(url, params, "POST");
      System.out.println(result);
    } catch (Exception var5) {
      var5.printStackTrace();
    } 
  }
  
  public static String net(String strUrl, Map<String, Object> params, String method) throws Exception {
    HttpURLConnection conn = null;
    BufferedReader reader = null;
    String rs = null;
    try {
      StringBuffer sb = new StringBuffer();
      if (method == null || method.equals("GET"))
        strUrl = strUrl + "?" + urlencode(params); 
      URL url = new URL(strUrl);
      conn = (HttpURLConnection)url.openConnection();
      if (method != null && !method.equals("GET")) {
        conn.setRequestMethod("POST");
        conn.setDoOutput(true);
      } else {
        conn.setRequestMethod("GET");
      } 
      conn.setRequestProperty("User-agent", "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/29.0.1547.66 Safari/537.36");
      conn.setUseCaches(false);
      conn.setConnectTimeout(30000);
      conn.setReadTimeout(30000);
      conn.setInstanceFollowRedirects(false);
      conn.connect();
      if (params != null && method.equals("POST"))
        try {
          DataOutputStream out = new DataOutputStream(conn.getOutputStream());
          out.writeBytes(urlencode(params));
        } catch (Exception exception) {} 
      InputStream is = conn.getInputStream();
      reader = new BufferedReader(new InputStreamReader(is, "UTF-8"));
      String strRead = null;
      while ((strRead = reader.readLine()) != null)
        sb.append(strRead); 
      rs = sb.toString();
    } catch (IOException var15) {
      var15.printStackTrace();
    } finally {
      if (reader != null)
        reader.close(); 
      if (conn != null)
        conn.disconnect(); 
    } 
    return rs;
  }
  
  public static String urlencode(Map<String, Object> data) {
    StringBuilder sb = new StringBuilder();
    Iterator<Map.Entry> var2 = data.entrySet().iterator();
    while (var2.hasNext()) {
      Map.Entry i = var2.next();
      try {
        sb.append(i.getKey()).append("=").append(URLEncoder.encode((new StringBuilder()).append(i.getValue()).append("").toString(), "UTF-8")).append("&");
      } catch (UnsupportedEncodingException var5) {
        var5.printStackTrace();
      } 
    } 
    return sb.toString();
  }
  
  public static String MD5(String s) {
    if (s == null && "".equals(s))
      return null; 
    char[] hexDigits = { 
        '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 
        'A', 'B', 'C', 'D', 'E', 'F' };
    try {
      byte[] btInput = s.getBytes();
      MessageDigest mdInst = MessageDigest.getInstance("MD5");
      mdInst.update(btInput);
      byte[] md = mdInst.digest();
      int j = md.length;
      char[] str = new char[j * 2];
      int k = 0;
      for (int i = 0; i < j; i++) {
        byte byte0 = md[i];
        str[k++] = hexDigits[byte0 >>> 4 & 0xF];
        str[k++] = hexDigits[byte0 & 0xF];
      } 
      return new String(str);
    } catch (Exception var10) {
      return null;
    } 
  }
}
